package com.railway.business.baseinfo.mapper;

import com.github.pagehelper.Page;
import com.railway.business.baseinfo.domain.BasePreventThaw;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 九防台账-防春融
* @author wuhonghao
* @date 2021/11/13
*/
@Mapper
@Repository
public interface BasePreventThawMapper {

    /**
    * 新增
    */
    int insert(BasePreventThaw basePreventThaw);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(BasePreventThaw basePreventThaw);

    /**
    * 获取单个
    */
    BasePreventThaw getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BasePreventThaw> getList(BasePreventThaw basePreventThaw);

}
